DROP TABLE EXECUTION_TRACES;

CREATE TABLE EXECUTION_TRACES (
  ID INT NOT NULL AUTO_INCREMENT,
  TIME_STAMP BIGINT NOT NULL,
  LOCATION VARCHAR(2000) NOT NULL,
  REQUEST_PATH VARCHAR(2000) NOT NULL,
  CANONICAL_PATH VARCHAR(2000) NOT NULL,
  RULESET_PROPERTIES LONGTEXT NOT NULL,
  ELAPSED_TIME BIGINT NOT NULL,
  USER_DATA LONGTEXT,
  NB_RULES INT,
  NB_RULES_FIRED INT,
  NB_RULES_NOT_FIRED INT,
  NB_TASKS INT,
  NB_TASKS_EXECUTED INT,
  NB_TASKS_NOT_EXECUTED INT,
  RULES LONGTEXT,
  TASKS LONGTEXT,
  EXECUTION_TRACE_TREE LONGTEXT,
  EXEC_OUTPUT LONGTEXT,
  INPUT_PARAMS LONGTEXT,
  OUTPUT_PARAMS LONGTEXT,
  EXECUTION_ID VARCHAR(2000) NOT NULL,
  FULL_EXECUTION_TRACE LONGTEXT,  
  CONSTRAINT ET_PK PRIMARY KEY (ID)
)