DROP TABLE EXECUTION_TRACES;

CREATE TABLE EXECUTION_TRACES (
  ID INT NOT NULL IDENTITY,
  TIME_STAMP BIGINT NOT NULL,
  LOCATION VARCHAR(2000) NOT NULL,
  REQUEST_PATH VARCHAR(2000) NOT NULL,
  CANONICAL_PATH VARCHAR(2000) NOT NULL,
  RULESET_PROPERTIES LONGVARCHAR NOT NULL,
  ELAPSED_TIME BIGINT NOT NULL,
  USER_DATA LONGVARCHAR,
  NB_RULES INT,
  NB_RULES_FIRED INT,
  NB_RULES_NOT_FIRED INT,
  NB_TASKS INT,
  NB_TASKS_EXECUTED INT,
  NB_TASKS_NOT_EXECUTED INT,
  RULES LONGVARCHAR,
  TASKS LONGVARCHAR,
  EXECUTION_TRACE_TREE LONGVARCHAR,
  EXEC_OUTPUT LONGVARCHAR,
  INPUT_PARAMS LONGVARCHAR,
  OUTPUT_PARAMS LONGVARCHAR,
  EXECUTION_ID LONGVARCHAR NOT NULL,
  FULL_EXECUTION_TRACE LONGVARCHAR
)