DROP TABLE EXECUTION_TRACES;

CREATE TABLE EXECUTION_TRACES (
  ID INT IDENTITY (1,1) NOT NULL,
  TIME_STAMP BIGINT NOT NULL,
  LOCATION NVARCHAR(2000) NOT NULL,
  REQUEST_PATH NVARCHAR(2000) NOT NULL,
  CANONICAL_PATH NVARCHAR(2000) NOT NULL,
  RULESET_PROPERTIES text NOT NULL,
  ELAPSED_TIME BIGINT NOT NULL,
  USER_DATA text,
  NB_RULES INT,
  NB_RULES_FIRED INT,
  NB_RULES_NOT_FIRED INT,
  NB_TASKS INT,
  NB_TASKS_EXECUTED INT,
  NB_TASKS_NOT_EXECUTED INT,
  RULES text,
  TASKS text,
  EXECUTION_TRACE_TREE text,
  EXEC_OUTPUT text,
  INPUT_PARAMS text,
  OUTPUT_PARAMS text,
  EXECUTION_ID VARCHAR(2000) NOT NULL,
  FULL_EXECUTION_TRACE text,
  CONSTRAINT ET_PK PRIMARY KEY (ID)
)