DROP TABLE EXECUTION_TRACES;

CREATE TABLE EXECUTION_TRACES (
  ID NUMERIC(10, 0) IDENTITY NOT NULL,
  TIME_STAMP NUMERIC(15, 0) NOT NULL,
  LOCATION TEXT NOT NULL,
  REQUEST_PATH TEXT NOT NULL,
  CANONICAL_PATH TEXT NOT NULL,
  RULESET_PROPERTIES TEXT NOT NULL,
  ELAPSED_TIME NUMERIC(15, 0) NOT NULL,
  USER_DATA TEXT NULL,
  NB_RULES INT,
  NB_RULES_FIRED INT,
  NB_RULES_NOT_FIRED INT,
  NB_TASKS INT,
  NB_TASKS_EXECUTED INT,
  NB_TASKS_NOT_EXECUTED INT,
  RULES TEXT NULL,
  TASKS TEXT NULL,
  EXECUTION_TRACE_TREE TEXT NULL,
  EXEC_OUTPUT TEXT NULL,
  INPUT_PARAMS TEXT NULL,
  OUTPUT_PARAMS TEXT NULL,
  EXECUTION_ID VARCHAR(255) NOT NULL,
  FULL_EXECUTION_TRACE TEXT,  
  CONSTRAINT ET_PK PRIMARY KEY (ID)
)